Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::Arguments Class Reference

## Public Member Functions

| Arguments (ErrorHandler::Policy iPolicy=ErrorHandler::kThrowPolicy, const AbcA::MetaData &iMetaData=AbcA::MetaData(), AbcA::TimeSamplingPtr iTimeSampling=AbcA::TimeSamplingPtr(), uint32_t iTimeIndex=0, SchemaInterpMatching iMatch=kNoMatching, SparseFlag iSparse=kFull)
void | operator() (const uint32_t &iTimeSamplingIndex)
void | operator() (const ErrorHandler::Policy &iPolicy)
void | operator() (const AbcA::MetaData &iMetaData)
void | operator() (const AbcA::TimeSamplingPtr &iTimeSampling)
void | operator() (const SchemaInterpMatching &iMatching)
void | operator() (const SparseFlag &iSparse)
ErrorHandler::Policy | getErrorHandlerPolicy () const
const AbcA::MetaData & | getMetaData () const
AbcA::TimeSamplingPtr | getTimeSampling () const
uint32_t | getTimeSamplingIndex () const
SchemaInterpMatching | getSchemaInterpMatching () const
bool | isSparse () const

The documentation for this class was generated from the following file:

- Abc/Argument.h